FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian KDE

 
 
LinkBack Thread Tools
 
Old 12-08-2011, 07:03 AM
Michael Strobel
 
Default hard plasma crash while using video player on 4.7.2

Hello everyone,

today i upgraded my experimental kde 4.7.2 (see upgrade.txt) which
causes reproducible hard plasma crashes after starting video playback:

step 1:

start video with vlc/mplayer/dragonplayer

step 2:

video starts playing for 1 or 2 seconds

step 3:

hard crash and kdm shows up



the only error message that turns up on dmesg is:

"[ 68.352598] python[2049]: segfault at 40 ip 00007fe07d5ad675 sp
00007fff9e08ef18 error 4 in libQtCore.so.4.7.3[7fe07d421000+297000] "

at least one in #debian-kde has got the same problem, so i think it
isn't a hardware problem of my machine. And i'm quite sure it's related
to the upgrade since the playback worked fine this morning.

regards

Michael


--
GPG:

KeyID 0xf91820b704ca1d58
Fingerprint 65F6 3715 B338 E229 22CB 1729 F918 20B7 04CA 1D58

Install: libgps20:amd64 (3.3-5, automatic), gpsd:amd64 (3.3-5, automatic)
Upgrade: libkworkspace4:amd64 (4.7.2-0r7, 4.7.2-1), libkresources4:amd64 (4.7.2-0r1, 4.7.2-1), plasma-desktopthemes-artwork:amd64 (4.7.2-0r1, 4.7.2-1), libkprintutils4:amd64 (4.7.2-1, 4.7.2-2), libkldap4:amd64 (4.7.2-0r1, 4.7.2-1), libktnef4:amd64 (4.7.2-0r1, 4.7.2-1), libkonq5-templates:amd64 (4.7.2-0r2+build1, 4.7.2-1), freespacenotifier:amd64 (4.7.2-0r7, 4.7.2-1), kde-baseapps:amd64 (4.7.2-0r2+build1, 4.7.2-1), libksane0:amd64 (4.7.2-0r0, 4.7.2-1), libkcalcore4:amd64 (4.7.2-0r1, 4.7.2-1), kde-l10n-de:amd64 (4.7.2-0r1, 4.7.2-1), libkxmlrpcclient4:amd64 (4.7.2-0r1, 4.7.2-1), plasma-containments-addons:amd64 (4.7.2-0r1, 4.7.2-1), kde-baseapps-bin:amd64 (4.7.2-0r2+build1, 4.7.2-1), procps:amd64 (3.3.0-1, 3.3.1-1), rekonq:amd64 (0.8.0-0r1, 0.8.0-1), libkholidays4:amd64 (4.7.2-0r1, 4.7.2-1), libknewstuff2-4:amd64 (4.7.2-1, 4.7.2-2), kde-workspace-data:amd64 (4.7.2-0r7, 4.7.2-1), libknewstuff3-4:amd64 (4.7.2-1, 4.7.2-2), ksnapshot:amd64 (4.7.2-0rc0, 4.7.2-1), plasma-wallpapers-addons:amd64 (4.7.2-0r1, 4.7.2-1), libkexiv2-data:amd64 (4.7.2-0r1, 4.7.2-1), libkipi8:amd64 (4.7.2-0r0, 4.7.2-1), libkipi-data:amd64 (4.7.2-0r0, 4.7.2-1), libkdeclarative5:amd64 (4.7.2-1, 4.7.2-2), libnepomukquery4a:amd64 (4.7.2-1, 4.7.2-2), konqueror-nsplugins:amd64 (4.7.2-0r2+build1, 4.7.2-1), libdrm-radeon1:amd64 (2.4.27-1, 2.4.28-1), kde-standard:amd64 (71~pre16, 71), libplasma-geolocation-interface4:amd64 (4.7.2-0r7, 4.7.2-1), kde-workspace-bin:amd64 (4.7.2-0r7, 4.7.2-1), gstreamer0.10-gconf:amd64 (0.10.30-2, 0.10.30-2.1), libweather-ion6:amd64 (4.7.2-0r7, 4.7.2-1), libkonq-common:amd64 (4.7.2-0r2+build1, 4.7.2-1), gwenview:amd64 (4.7.2-0r2, 4.7.2-1), libmarblewidget12:amd64 (4.7.2-0r1, 4.7.2-1), libthreadweaver4:amd64 (4.7.2-1, 4.7.2-2), libkdecore5:amd64 (4.7.2-1, 4.7.2-2), libnepomukutils4:amd64 (4.7.2-1, 4.7.2-2), libktexteditor4:amd64 (4.7.2-1, 4.7.2-2), libkmediaplayer4:amd64 (4.7.2-1, 4.7.2-2), kcalc:amd64 (4.7.2-0r1, 4.7.2-1), plasma-scriptengine-python:amd64 (4.7.2-0r7, 4.7.2-1), kdeplasma-addons:amd64 (4.7.2-0r1, 4.7.2-1), oxygen-icon-theme:amd64 (4.7.2-0r0, 4.7.2-1), libakonadi-kmime4:amd64 (4.7.2-0r1, 4.7.2-1), plasma-scriptengine-javascript:amd64 (4.7.2-0r3, 4.7.2-1), klipper:amd64 (4.7.2-0r7, 4.7.2-1), libkrosscore4:amd64 (4.7.2-1, 4.7.2-2), libplasmaclock4abi2:amd64 (4.7.2-0r7, 4.7.2-1), plasma-scriptengine-googlegadgets:amd64 (4.7.2-0r7, 4.7.2-1), kdebase-workspace-bin:amd64 (4.7.2-0r7, 4.7.2-1), kwalletmanager:amd64 (4.7.2-0r1, 4.7.2-1), ksysguard:amd64 (4.7.2-0r7, 4.7.2-1), libokularcore1:amd64 (4.7.2-0r1, 4.7.2-1), libkcddb4:amd64 (4.7.2-0r1, 4.7.2-1), konq-plugins:amd64 (4.7.2-0r2+build1, 4.7.2-1), libkwineffects1abi2:amd64 (4.7.2-0r7, 4.7.2-1), libkateinterfaces4:amd64 (4.7.2-0r0+build1, 4.7.2-1), dolphin:amd64 (4.7.2-0r2+build1, 4.7.2-1), kwrite:amd64 (4.7.2-0r0+build1, 4.7.2-1), plasma-dataengines-addons:amd64 (4.7.2-0r1, 4.7.2-1), libsyndication4:amd64 (4.7.2-0r1, 4.7.2-1), khelpcenter4:amd64 (4.7.2-0r3, 4.7.2-1), libkdcraw-data:amd64 (4.7.2-0r0, 4.7.2-1), gstreamer0.10-plugins-good:amd64 (0.10.30-2, 0.10.30-2.1), libsolid4:amd64 (4.7.2-1, 4.7.2-2), marble-plugins:amd64 (4.7.2-0r1, 4.7.2-1), libkontactinterface4:amd64 (4.7.2-0r1, 4.7.2-1), libnepomuk4:amd64 (4.7.2-1, 4.7.2-2), konsole:amd64 (4.7.2-0r1, 4.7.2-1), libkcalutils4:amd64 (4.7.2-0r1, 4.7.2-1), libsoprano4:amd64 (2.7.3+dfsg.1-0r0, 2.7.3+dfsg.1-1), libmicroblog4:amd64 (4.7.2-0r1, 4.7.2-1), libkonqsidebarplugin4a:amd64 (4.7.2-0r2+build1, 4.7.2-1), libkdnssd4:amd64 (4.7.2-1, 4.7.2-2), libksgrd4:amd64 (4.7.2-0r7, 4.7.2-1), libkparts4:amd64 (4.7.2-1, 4.7.2-2), ark:amd64 (4.7.2-0r1, 4.7.2-1), sweeper:amd64 (4.7.2-0r1, 4.7.2-1), libdrm2:amd64 (2.4.27-1, 2.4.28-1), libqgpgme1:amd64 (4.7.2-0r1, 4.7.2-1), kde-runtime-data:amd64 (4.7.2-0r3, 4.7.2-1), kde-plasma-desktop:amd64 (71~pre16, 71), kde-window-manager:amd64 (4.7.2-0r7, 4.7.2-1), libtaskmanager4abi2:amd64 (4.7.2-0r7, 4.7.2-1), libkabc4:amd64 (4.7.2-0r1, 4.7.2-1), kdoctools:amd64 (4.7.2-1, 4.7.2-2), libkdecorations4:amd64 (4.7.2-0r7, 4.7.2-1), plasma-scriptengine-ruby:amd64 (4.7.2-0r7, 4.7.2-1), kfind:amd64 (4.7.2-0r2+build1, 4.7.2-1), dragonplayer:amd64 (4.7.2-0r1, 4.7.2-1), kdebase-bin:amd64 (4.7.2-0r2+build1, 4.7.2-1), kde-baseapps-data:amd64 (4.7.2-0r2+build1, 4.7.2-1), kde-wallpapers:amd64 (4.7.2-0r2, 4.7.2-1), plasma-widget-folderview:amd64 (4.7.2-0r2+build1, 4.7.2-1), kde-workspace:amd64 (4.7.2-0r7, 4.7.2-1), kdegraphics-libs-data:amd64 (4.7.2+5.71~pre16, 4.7.2+5.71), kdm:amd64 (4.7.2-0r7, 4.7.2-1), plasma-scriptengines:amd64 (4.7.2-0r7, 4.7.2-1), libdrm-nouveau1a:amd64 (2.4.27-1, 2.4.28-1), libkidletime4:amd64 (4.7.2-1, 4.7.2-2), katepart:amd64 (4.7.2-0r0+build1, 4.7.2-1), juk:amd64 (4.7.2-0r1, 4.7.2-1), libkunitconversion4:amd64 (4.7.2-1, 4.7.2-2), libdrm-intel1:amd64 (2.4.27-1, 2.4.28-1), libkcmutils4:amd64 (4.7.2-1, 4.7.2-2), libkcal4:amd64 (4.7.2-0r1, 4.7.2-1), plasma-widgets-addons:amd64 (4.7.2-0r1, 4.7.2-1), soprano-daemon:amd64 (2.7.3+dfsg.1-0r0, 2.7.3+dfsg.1-1), libkfile4:amd64 (4.7.2-1, 4.7.2-2), libkopete4:amd64 (4.7.2-0r2, 4.7.2-1), kde-workspace-kgreet-plugins:amd64 (4.7.2-0r7, 4.7.2-1), libkpty4:amd64 (4.7.2-1, 4.7.2-2), libplasmagenericshell4:amd64 (4.7.2-0r7, 4.7.2-1), gstreamer0.10-pulseaudio:amd64 (0.10.30-2, 0.10.30-2.1), libkblog4:amd64 (4.7.2-0r1, 4.7.2-1), libkimap4:amd64 (4.7.2-0r1, 4.7.2-1), konqueror:amd64 (4.7.2-0r2+build1, 4.7.2-1), plasma-scriptengine-superkaramba:amd64 (4.7.2-0r1, 4.7.2-1), libkexiv2-10:amd64 (4.7.2-0r1, 4.7.2-1), mplayerthumbs:amd64 (4.7.2-0r1, 4.7.2-1), libmailtransport4:amd64 (4.7.2-0r1, 4.7.2-1), plasma-scriptengine-webkit:amd64 (4.7.2-0r7, 4.7.2-1), libksignalplotter4:amd64 (4.7.2-0r7, 4.7.2-1), kscreensaver:amd64 (4.7.2-0r1, 4.7.2-1), libkntlm4:amd64 (4.7.2-1, 4.7.2-2), libnfsidmap2:amd64 (0.24-4, 0.25-1), kinfocenter:amd64 (4.7.2-0r7, 4.7.2-1), libplasma3:amd64 (4.7.2-1, 4.7.2-2), plasma-dataengines-workspace:amd64 (4.7.2-0r7, 4.7.2-1), kde-wallpapers-default:amd64 (4.7.2-0r2, 4.7.2-1), plasma-widget-lancelot:amd64 (4.7.2-0r1, 4.7.2-1), ksysguardd:amd64 (4.7.2-0r7, 4.7.2-1), libkimproxy4:amd64 (4.7.2-1, 4.7.2-2), libkemoticons4:amd64 (4.7.2-1, 4.7.2-2), libkpimtextedit4:amd64 (4.7.2-0r1, 4.7.2-1), libkephal4abi1:amd64 (4.7.2-0r7, 4.7.2-1), plasma-runners-addons:amd64 (4.7.2-0r1, 4.7.2-1), libkscreensaver5:amd64 (4.7.2-0r7, 4.7.2-1), libkmime4:amd64 (4.7.2-0r1, 4.7.2-1), kdelibs-bin:amd64 (4.7.2-1, 4.7.2-2), libkdewebkit5:amd64 (4.7.2-1, 4.7.2-2), kdepimlibs-kio-plugins:amd64 (4.7.2-0r1, 4.7.2-1), kde-runtime:amd64 (4.7.2-0r3, 4.7.2-1), libksane-data:amd64 (4.7.2-0r0, 4.7.2-1), libkjsembed4:amd64 (4.7.2-1, 4.7.2-2), kde-style-oxygen:amd64 (4.7.2-0r7, 4.7.2-1), libkio5:amd64 (4.7.2-1, 4.7.2-2), libakonadi-kabc4:amd64 (4.7.2-0r1, 4.7.2-1), libkjsapi4:amd64 (4.7.2-1, 4.7.2-2), kdemultimedia-kio-plugins:amd64 (4.7.2-0r1, 4.7.2-1), libprocesscore4abi1:amd64 (4.7.2-0r7, 4.7.2-1), kopete:amd64 (4.7.2-0r2, 4.7.2-1), kdelibs5-data:amd64 (4.7.2-1, 4.7.2-2), kdebase-runtime:amd64 (4.7.2-0r3, 4.7.2-1), libkpimidentities4:amd64 (4.7.2-0r1, 4.7.2-1), libkpimutils4:amd64 (4.7.2-0r1, 4.7.2-1), kate:amd64 (4.7.2-0r0+build1, 4.7.2-1), kscreensaver-xsavers:amd64 (4.7.2-0r1, 4.7.2-1), marble-data:amd64 (4.7.2-0r1, 4.7.2-1), libsolidcontrolifaces4abi2:amd64 (4.7.2-0r7, 4.7.2-1), libkde3support4:amd64 (4.7.2-1, 4.7.2-2), plasma-desktop:amd64 (4.7.2-0r7, 4.7.2-1), libknotifyconfig4:amd64 (4.7.2-1, 4.7.2-2), systemsettings:amd64 (4.7.2-0r7, 4.7.2-1), kdelibs5-plugins:amd64 (4.7.2-1, 4.7.2-2), kgpg:amd64 (4.7.2-0r1, 4.7.2-1), libprocessui4a:amd64 (4.7.2-0r7, 4.7.2-1), libkhtml5:amd64 (4.7.2-1, 4.7.2-2), libkdeui5:amd64 (4.7.2-1, 4.7.2-2), libakonadi-kcal4:amd64 (4.7.2-0r1, 4.7.2-1), libkdesu5:amd64 (4.7.2-1, 4.7.2-2), okular:amd64 (4.7.2-0r1, 4.7.2-1), libkatepartinterfaces4:amd64 (4.7.2-0r0+build1, 4.7.2-1), plasma-widgets-workspace:amd64 (4.7.2-0r7, 4.7.2-1), libkutils4:amd64 (4.7.2-1, 4.7.2-2), kate-data:amd64 (4.7.2-0r0+build1, 4.7.2-1), libakonadi-contact4:amd64 (4.7.2-0r1, 4.7.2-1), libakonadi-kde4:amd64 (4.7.2-0r1, 4.7.2-1), python-kde4:amd64 (4.7.2-0r1, 4.7.2-1), libsolidcontrol4abi2:amd64 (4.7.2-0r7, 4.7.2-1), libgpgme++2:amd64 (4.7.2-0r1, 4.7.2-1), kdepasswd:amd64 (4.7.2-0r2+build1, 4.7.2-1), kmix:amd64 (4.7.2-0r1, 4.7.2-1), libkonq5abi1:amd64 (4.7.2-0r2+build1, 4.7.2-1)
Remove: libplasma-ruby:amd64 (4.7.1-1), libgps19:amd64 (2.95-15)
End-Date: 2011-12-07 14:22:5400:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) (rev 03)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (secondary) (rev 03)
00:1a.0 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 03)
00:1c.5 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 03)
00:1d.0 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HM/HEM (ICH8M/ICH8M-E) SATA Controller [AHCI mode] (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
02:00.0 Network controller: Broadcom Corporation BCM4321 802.11a/b/g/n (rev 03)
03:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8058 PCI-E Gigabit Ethernet Controller (rev 13)
04:03.0 FireWire (IEEE 1394): Agere Systems FW322/323 (rev 61)
 
Old 12-08-2011, 08:17 AM
Ferdinand Thommes
 
Default hard plasma crash while using video player on 4.7.2

Hi list,
I am the other user Michael refers to. After a lot of testing, the only candidate left was libdrm-intel1. Downgrading to testing fixed it for me. Checking for bug-report reveals http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=651316. So, KDE is innocent in this case.



greetz
Ferdinand



2011/12/8 Michael Strobel <strobel.m@googlemail.com>



Hello everyone,



today i upgraded my experimental kde 4.7.2 (see upgrade.txt) which

causes reproducible hard plasma crashes after starting video playback:



step 1:



start video with vlc/mplayer/dragonplayer



step 2:



video starts playing for 1 or 2 seconds



step 3:



hard crash and kdm shows up







the only error message that turns up on dmesg is:



"[ * 68.352598] python[2049]: segfault at 40 ip 00007fe07d5ad675 sp

00007fff9e08ef18 error 4 in libQtCore.so.4.7.3[7fe07d421000+297000] "



at least one in #debian-kde has got the same problem, so i think it

isn't a hardware problem of my machine. And i'm quite sure it's related

to the upgrade since the playback worked fine this morning.



regards



Michael





--

GPG:



KeyID 0xf91820b704ca1d58

Fingerprint 65F6 3715 B338 E229 22CB 1729 F918 20B7 04CA 1D58
 
Old 12-08-2011, 09:04 AM
Michael Strobel
 
Default hard plasma crash while using video player on 4.7.2

Hello again,

indeed downgrading libdrm-intel1 to 2.4.27-1 fixed the problem for me, too.
Sorry for blaming KDE ;-)

regards Michael


Am Donnerstag, 8. Dezember 2011, 10:17:09 schrieb Ferdinand Thommes:
> Hi list,
> I am the other user Michael refers to. After a lot of testing, the only
> candidate left was libdrm-intel1. Downgrading to testing fixed it for me.
> Checking for bug-report reveals
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=651316. So, KDE is
> innocent in this case.
>
> greetz
> Ferdinand
>
>
> 2011/12/8 Michael Strobel <strobel.m@googlemail.com>
>
> > Hello everyone,
> >
> > today i upgraded my experimental kde 4.7.2 (see upgrade.txt) which
> > causes reproducible hard plasma crashes after starting video playback:
> >
> > step 1:
> >
> > start video with vlc/mplayer/dragonplayer
> >
> > step 2:
> >
> > video starts playing for 1 or 2 seconds
> >
> > step 3:
> >
> > hard crash and kdm shows up
> >
> >
> >
> > the only error message that turns up on dmesg is:
> >
> > "[ 68.352598] python[2049]: segfault at 40 ip 00007fe07d5ad675 sp
> > 00007fff9e08ef18 error 4 in libQtCore.so.4.7.3[7fe07d421000+297000] "
> >
> > at least one in #debian-kde has got the same problem, so i think it
> > isn't a hardware problem of my machine. And i'm quite sure it's related
> > to the upgrade since the playback worked fine this morning.
> >
> > regards
> >
> > Michael
> >
> >
> > --
> > GPG:
> >
> > KeyID 0xf91820b704ca1d58
> > Fingerprint 65F6 3715 B338 E229 22CB 1729 F918 20B7 04CA 1D58


--
GPG:

KeyID 0xf91820b704ca1d58
Fingerprint 65F6 3715 B338 E229 22CB 1729 F918 20B7 04CA 1D58


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201112081104.59550.strobel.m@googlemail.com">http://lists.debian.org/201112081104.59550.strobel.m@googlemail.com
 
Old 12-08-2011, 09:27 AM
Reinhard Karcher
 
Default hard plasma crash while using video player on 4.7.2

Am 08.12.2011 11:04, schrieb Michael Strobel:


indeed downgrading libdrm-intel1 to 2.4.27-1 fixed the problem for me, too.
Sorry for blaming KDE ;-)



I don't have any problems with libdrm-intel1 2.4.28, but I have an older
version of the intel graphic chip thou you have.


Reinhard


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4EE090F7.4000502@gmx.net">http://lists.debian.org/4EE090F7.4000502@gmx.net
 

Thread Tools




All times are GMT. The time now is 10:31 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org